Eclipse Platform Release 3.7

## org.eclipse.ui.views.properties
Interface IPropertySheetPage

All Superinterfaces:
  EventListener, IPage, ISelectionListener

All Known Implementing Classes:
  PropertySheetPage, TabbedPropertySheetPage

    public interface IPropertySheetPage

extends IPage, ISelectionListener

Interface for a property sheet page that appears in a property sheet view. This interface defines the minimum requirement for pages within the property sheet view, namely they must be pages (implement `IPage`) be prepared to contribute actions to the property sheet view's tool bar and status line, and listen for selection changes in the active part.

Clients may implement this interface from scratch if the property sheet viewer's default page is unsuitable for displaying a part's properties.

See Also:
  `PropertySheetPage`

Method Summary

Methods inherited from interface org.eclipse.ui.part.IPage
`createControl, dispose, getControl, setActionBars, setFocus`

Methods inherited from interface org.eclipse.ui.ISelectionListener
`selectionChanged`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.